Walmart
Walmart: Search
Search from Walmart. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
walmart
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/walmart/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/walmart/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/walmart/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/walmart/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/walmart/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/walmart/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/walmart/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/walmart/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "walmart.search",
"params": {
"query": "air fryer"
},
"response": {
"success": true,
"data": {
"search_metadata": {
"query": "air fryer",
"page": 1,
"sort": "best_match",
"total_items": 72
},
"results": [
{
"us_item_id": "17268119743",
"title": "Instant Pot 4QT VORTEX 6-in-1 Mini Air Fryer, Air fry, Bake, Roast, Broil, Dehydrate or Reheat, Black, 4 Quarts",
"price": 89.99,
"currency": "USD",
"rating": 4.4,
"reviews": 87,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Instant-Pot-4QT-VORTEX-6-in-1-Mini-Air-Fryer-Air-fry-Bake-Roast-Broil-Dehydrate-or-Reheat-Black-4-Quarts_371f0a97-efd1-42b8-89bb-a594d088cbec.e03eec1a9d5bd3bea85cd250fbff80d2.png?odnHeight=180&odnWidth=180&o…",
"product_page_url": "https://www.walmart.com/ip/17268119743",
"out_of_stock": false,
"sponsored": true
},
{
"us_item_id": "14678059894",
"title": "Chefman Air Fryer 1500W, 6 Quart, 4 Functions with Touch Controls, Stainless Steel",
"price": 59.98,
"currency": "USD",
"rating": 4.6,
"reviews": 13051,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Chefman-Air-Fryer-1500W-6-Quart-4-Functions-with-Touch-Controls-Stainless-Steel_0ccae75c-daa2-4d52-a1d4-63b5f20f42c3.52b088aed447be6063d85850d455ebd5.jpeg?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"product_page_url": "https://www.walmart.com/ip/14678059894",
"out_of_stock": false,
"sponsored": true
},
{
"us_item_id": "14140920286",
"title": "Thyme & Table 6 Quart Ceramic-Coated Air Fryer, Sand White",
"price": 79,
"currency": "USD",
"rating": 4.5,
"reviews": 1032,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Thyme-Table-6-Quart-Ceramic-Coated-Air-Fryer-Sand-White_4dc1a1f6-9007-4310-aa1f-a8650e8f5626.e70b5f6f2e1250975bc37d02ecc1219b.png?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"product_page_url": "https://www.walmart.com/ip/14140920286",
"out_of_stock": false,
"sponsored": true
}
],
"pagination": {
"current_page": 1,
"max_page": 13,
"has_more": true
}
},
"meta": {
"endpoint_family": "search",
"duration_ms": 4134,
"attempts": 2
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Walmart API overview for every Walmart endpoint.
Authorizations
Query Parameters
Maximum string length:
500Available options:
best_match, price_low, price_high, rating_high, new Maximum string length:
64Maximum string length:
2000Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/walmart/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/walmart/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/walmart/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/walmart/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/walmart/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/walmart/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/walmart/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/walmart/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "walmart.search",
"params": {
"query": "air fryer"
},
"response": {
"success": true,
"data": {
"search_metadata": {
"query": "air fryer",
"page": 1,
"sort": "best_match",
"total_items": 72
},
"results": [
{
"us_item_id": "17268119743",
"title": "Instant Pot 4QT VORTEX 6-in-1 Mini Air Fryer, Air fry, Bake, Roast, Broil, Dehydrate or Reheat, Black, 4 Quarts",
"price": 89.99,
"currency": "USD",
"rating": 4.4,
"reviews": 87,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Instant-Pot-4QT-VORTEX-6-in-1-Mini-Air-Fryer-Air-fry-Bake-Roast-Broil-Dehydrate-or-Reheat-Black-4-Quarts_371f0a97-efd1-42b8-89bb-a594d088cbec.e03eec1a9d5bd3bea85cd250fbff80d2.png?odnHeight=180&odnWidth=180&o…",
"product_page_url": "https://www.walmart.com/ip/17268119743",
"out_of_stock": false,
"sponsored": true
},
{
"us_item_id": "14678059894",
"title": "Chefman Air Fryer 1500W, 6 Quart, 4 Functions with Touch Controls, Stainless Steel",
"price": 59.98,
"currency": "USD",
"rating": 4.6,
"reviews": 13051,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Chefman-Air-Fryer-1500W-6-Quart-4-Functions-with-Touch-Controls-Stainless-Steel_0ccae75c-daa2-4d52-a1d4-63b5f20f42c3.52b088aed447be6063d85850d455ebd5.jpeg?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"product_page_url": "https://www.walmart.com/ip/14678059894",
"out_of_stock": false,
"sponsored": true
},
{
"us_item_id": "14140920286",
"title": "Thyme & Table 6 Quart Ceramic-Coated Air Fryer, Sand White",
"price": 79,
"currency": "USD",
"rating": 4.5,
"reviews": 1032,
"seller_name": "Walmart.com",
"availability_status": "IN_STOCK",
"thumbnail": "https://i5.walmartimages.com/seo/Thyme-Table-6-Quart-Ceramic-Coated-Air-Fryer-Sand-White_4dc1a1f6-9007-4310-aa1f-a8650e8f5626.e70b5f6f2e1250975bc37d02ecc1219b.png?odnHeight=180&odnWidth=180&odnBg=FFFFFF",
"product_page_url": "https://www.walmart.com/ip/14140920286",
"out_of_stock": false,
"sponsored": true
}
],
"pagination": {
"current_page": 1,
"max_page": 13,
"has_more": true
}
},
"meta": {
"endpoint_family": "search",
"duration_ms": 4134,
"attempts": 2
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}